document.addEventListener('DOMContentLoaded', function () {
  const solanaAddress = document.getElementById('solana-address');
  const solanaPrice = document.getElementById('solana-price');
  const connectWalletButton = document.getElementById('connect-wallet');
  const chartCanvas = document.getElementById('solana-chart');

  // Mock data for demonstration
  const mockData = {
    address: 'So1ana...Address',
    price: 150.75,
    chartData: {
      labels: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul'],
      datasets: [{
        label: 'SOL Transactions',
        data: [65, 59, 80, 81, 56, 55, 40],
        fill: false,
        borderColor: '#14f195',
        tension: 0.1
      }]
    }
  };

  // Update Solana address and price
  solanaAddress.textContent = `Solana Address: ${mockData.address}`;
  solanaPrice.textContent = `SOL Price: $${mockData.price.toFixed(2)}`;

  // Connect Wallet Button
  connectWalletButton.addEventListener('click', function () {
    alert('Wallet connection functionality would be implemented here.');
  });

  // Initialize Chart
  const ctx = chartCanvas.getContext('2d');
  new Chart(ctx, {
    type: 'line',
    data: mockData.chartData,
    options: {
      responsive: true,
      maintainAspectRatio: false,
      scales: {
        y: {
          beginAtZero: true
        }
      }
    }
  });
});